## octave-arduino 0.3.0

=== DESCRIPTION ===
Name: arduino
Version: 0.3.0
Date: 2018-10-15
Author: John Donoghue <john.donoghue@ieee.org>
Maintainer: John Donoghue <john.donoghue@ieee.org>
Title: Octave Arduino Toolkit
Description: Basic Octave implementation of the matlab arduino extension,
 allowing communication to a programmed arduino board to control its
 hardware.
Categories: Arduino Toolkit
Depends: octave (>= 4.0.0), instrument-control (>= 0.3.0)
SystemRequirements: arduino-ide (>= 1.5)
License: GPLv3+
Url: https://octave.sourceforge.io/arduino/
