=== debian/changelog ===
octave-arduino (0.3.0-2) unstable; urgency=medium

  * d/control: Drop the Testsuite header.
    The unit tests should be exercised in the Debian CI infrastructure,
    because they depend on an Arduino board connected to the system.

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 20 Jan 2019 08:47:38 -0200

octave-arduino (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 19 Jan 2019 19:13:07 -0200

octave-arduino (0.2.0-1) unstable; urgency=low

  * Initial release (closes: #912761)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 04 Jan 2019 06:51:51 -0200
