=== debian/control ===
Source: octave-arduino
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.6.1),
               texlive
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/arduino/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino

Package: octave-arduino
Architecture: all
Depends: ${misc:Depends},
         ${octave:Depends},
         arduino
Description: Octave Arduino Toolkit
 ${octave:Upstream-Description}
 .
 This Octave add-on package is part of the Octave-Forge project.
