=== debian/changelog ===
octave-arduino (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * d/copyright:
    + Reflect upstream changes
    + Add copyright information for octave-arduino.metainfo.xml
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)
  * d/p/info-dir-section.patch: Drop patch (applied upstream)

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 08:39:51 -0300
