=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 12),
                dh-octave (>= 0.6.1),
                texlive
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://octave.sourceforge.io/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino
