=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

### Disable unit testing.  The tests fail massively because most of
### them needs an Arduino system connected to the system.
export DEB_BUILD_MAINT_OPTIONS = nocheck

%:
	dh $@ --buildsystem=octave --with=octave

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build:
	( cd doc ;					\
	  makeinfo --no-split arduino.texi ;		\
	  makeinfo --html --no-split arduino.texi ;	\
	  texi2pdf arduino.texi )
	dh_auto_build
endif
