=== debian/changelog ===
octave-arduino (0.5.0-2) unstable; urgency=medium

  * d/u/metadata: New file
  * d/control: Bump debhelper compatibitlity level to 13

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Jul 2020 12:50:50 -0300

octave-arduino (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/copyright: Reflect upstream changes
  * d/rules: Ensure that documentation building succeeds
  * d/control:
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Add Rules-Requires-Root: no
  * d/t/{control,no-test}: Add dummy test file to prevent triggering of
    autodep8

 -- Rafael Laboissière <rafael@debian.org>  Tue, 03 Mar 2020 11:26:06 +0100
