## octave-arduino 0.6.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.5.0
-Date: 2020-02-06
+Version: 0.6.0
+Date: 2020-09-04
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit
