=== debian/changelog ===
octave-arduino (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0

 -- Rafael Laboissière <rafael@debian.org>  Sat, 26 Sep 2020 09:33:27 -0300
