=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
-Uploaders: Rafael Laboissiere <rafael@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Rafael Laboissière <rafael@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.6.1),
                texlive
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://octave.sourceforge.io/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino
+Rules-Requires-Root: no
 
 Package: octave-arduino
 Architecture: all
