=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,6 @@
 	( cd doc ;					\
 	  makeinfo --no-split arduino.texi ;		\
 	  makeinfo --html --no-split arduino.texi ;	\
-	  texi2pdf arduino.texi )
+	  texi2pdf arduino.texi || true )
 	dh_auto_build
 endif
