=== debian/changelog ===
octave-arduino (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/copyright:
    + Reflect upstream changes
    + Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 19 Jan 2022 10:54:16 -0300

octave-arduino (0.7.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/rules: Use target execute_before_dh_auto_build instead of
    override_dh_auto_build

 -- Rafael Laboissière <rafael@debian.org>  Sun, 15 Aug 2021 09:34:52 -0300

octave-arduino (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 07 May 2021 14:11:32 -0300
