=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,9 @@
 	dh $@ --buildsystem=octave --with=octave
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	( cd doc ;					\
 	  makeinfo --no-split arduino.texi ;		\
 	  makeinfo --html --no-split arduino.texi ;	\
 	  texi2pdf arduino.texi || true )
-	dh_auto_build
 endif
