=== debian/watch ===
version=4
http://sf.net/octave/arduino-(.+)\.tar\.gz
