=== debian/changelog ===
octave-arduino (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call

 -- Rafael Laboissière <rafael@debian.org>  Sat, 16 Jul 2022 07:40:01 -0300

octave-arduino (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Fri, 06 May 2022 17:09:39 -0300
