=== debian/changelog ===
octave-arduino (0.10.0-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 06:30:37 -0300

octave-arduino (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0

 -- Rafael Laboissière <rafael@debian.org>  Wed, 14 Sep 2022 03:54:18 -0300
