=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export DEB_BUILD_MAINT_OPTIONS = nocheck
 
 %:
-	dh $@ --buildsystem=octave --with=octave
+	dh $@ --buildsystem=octave
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:
