=== debian/changelog ===
octave-arduino (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Bump Standards-Version to 4.6.2 (no changes needed)
    + Update Homepage URL
  * Use tarball URL from GitHub
    + d/watch: Ditto
    + d/s/lintian-overrides: Drop obsolete override
  * d/s/lintian-overrides: New file

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jul 2023 10:46:24 -0300
