=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-octave,
                texlive
-Standards-Version: 4.6.1
-Homepage: https://octave.sourceforge.io/arduino/
+Standards-Version: 4.6.2
+Homepage: https://gnu-octave.github.io/packages/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino
 Rules-Requires-Root: no
