=== debian/changelog ===
octave-arduino (0.12.1-2) unstable; urgency=medium

  * d/u/metadata:
    + Update upstream repository URLs
    + Update Bug-Database and Bug-Submit URLs
  * Compile and install the Qt Help files
    + d/control: Build-deped on dh-octave >= 1.8.0 and python3
    + New patches:
      - d/p/add-Makefile.patch
      - d/p/add-mkfuncdocs-py.patch
      - d/p/add-mkqhcp-py.patch
    + d/rules: Build arduino.{qch,qhc} files
    + d/octave-arduino.docs: Add file doc/arduino.css
  * d/octave-arduino.doc-base: Declare Info files
  * d/s/lintian-overrides: Override Lintian warning
    very-long-line-length-in-source-file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Feb 2024 11:57:55 -0300

octave-arduino (0.12.1-1) unstable; urgency=medium

  * New upstream version 0.12.1
  * d/copyright: Reflect upstream changes
  * d/s/lintian-overrides: Improve comments
  * d/s/options: Drop useless file
  * d/rules: Simplify rule for building the documentation
  * d/clean: Reduce list of cleaned files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 18:57:07 -0300

octave-arduino (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0
  * d/copyright: Update years list for copyright of debian/* file
  * d/s/lintian-overrides: Fix typos in override description

 -- Rafael Laboissière <rafael@debian.org>  Mon, 01 Jan 2024 14:25:40 -0300
