=== debian/control ===
--- 
+++ 
@@ -4,7 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-octave (>= 1.8.0),
                dh-sequence-octave,
+               python3,
                texlive
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/arduino/
