## octave-arduino 0.12.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.12.1
-Date: 2023-01-04
+Version: 0.12.2
+Date: 2025-04-16
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit
