=== debian/changelog ===
octave-arduino (0.12.2-1) unstable; urgency=medium

  * New upstream version 0.12.2
  * d/copyright: Reflect upstream changes
  * d/p/add-mkfuncdocs-py.patch: Drop patch (applied upstream)
  * d/p/add-mkqhcp-py.patch: Drop patch (applied upstream)
  * d/control:
    + Bump Standards-Version to 4.7.2 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile
  * d/source/lintian-overrides: Drop unused override source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Tue, 22 Apr 2025 09:40:52 -0300
