=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 execute_before_dh_auto_build:
-	( cd doc ;					\
-	  makeinfo --no-split arduino.texi ;		\
-	  makeinfo --html --no-split arduino.texi ;	\
-	  texi2pdf arduino.texi || true )
+	chmod +x doc/mkfuncdocs.py doc/mkqhcp.py
+	make -k docs doc/arduino.info
 endif
