=== debian/tests/control ===
Tests: no-test
Restrictions: superficial
