=== debian/watch ===
version=4
https://gnu-octave.github.io/packages/arduino/ \
  https://github.com/gnu-octave/octave-arduino/releases/download/release-.+/arduino-(.+).tar.gz
