## octave-arduino 0.12.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Name: arduino
-Version: 0.12.2
-Date: 2025-04-16
+Version: 0.12.3
+Date: 2025-12-31
 Author: John Donoghue <john.donoghue@ieee.org>
 Maintainer: John Donoghue <john.donoghue@ieee.org>
 Title: Octave Arduino Toolkit
@@ -13,3 +13,4 @@
 License: GPLv3+
 Url: https://gnu-octave.github.io/octave-arduino/
 Repository: https://github.com/gnu-octave/octave-arduino/
+Tracker: https://github.com/gnu-octave/octave-arduino/issues
