=== debian/changelog ===
octave-arduino (0.12.3-1) unstable; urgency=medium

  * New upstream version 0.12.3
  * d/control: Drop “Rules-Requires-Root: no”, which is now the default
  * d/watch: Convert to format version 5
  * d/salsa-ci.yml: New file
  * d/p/add-Makefile.patch: Drop patch (applied upstream)
  * d/s/lintian-overrides: Drop unused Lintian override

 -- Rafael Laboissière <rafael@debian.org>  Sun, 04 Jan 2026 12:32:52 -0300
