=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
 Homepage: https://gnu-octave.github.io/packages/arduino/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-arduino.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-arduino
-Rules-Requires-Root: no
 
 Package: octave-arduino
 Architecture: all
